My Oracle Support Banner

Oracle HTTP Server Upgrade From 11g To 12.2.1.3: "PKI-04007: No Matching Certificate In The Wallet" when SSL is not Used. (Doc ID 2485649.1)

Last updated on AUGUST 16, 2019

Applies to:

Oracle HTTP Server - Version 12.2.1.3.0 and later
Oracle Fusion Middleware - Version 12.2.1.3.0 and later
Information in this document applies to any platform.

Symptoms


While Upgrading Oracle HTTP Server from 11g to 12.2.1.3 the upgrade fails with an error at the command prompt and in the log file.

ERROR
-----------------------

java.io.IOException: PKI-04007: No matching certificate in the wallet
  at oracle.security.pki.OracleKeyStoreSpi.a(Unknown Source)
  at oracle.security.pki.OracleSSOKeyStoreSpi.a(Unknown Source)
  at oracle.security.pki.OracleWallet.internalRemoveUserCert(Unknown Source)
  at oracle.security.pki.OracleWallet.deleteCert(Unknown Source)
  at oracle.security.pki.OracleWallet.deleteCert(Unknown Source)
  at oracle.ias.update.plugin.ohs.ConfigUpgradePlugin.upgradeCert(Unknown Source)
  at oracle.ias.update.plugin.ohs.ConfigUpgradePlugin.examineAndUpgrade(Unknown Source)
  at oracle.ias.update.plugin.ohs.ConfigUpgradePlugin.upgrade(Unknown Source)
  at oracle.ias.update.plugin.Plugin.upgrade(Plugin.java:730)
  at oracle.ias.update.plan.PlanStep.upgrade(PlanStep.java:736)
  at oracle.ias.update.PhaseProcessor$UpgradeProcessor.runStepPhase(PhaseProcessor.java:726)
  at oracle.ias.update.PhaseProcessor.runStep(PhaseProcessor.java:369)
  at oracle.ias.update.PhaseProcessor$ExtendedRunnable.run(PhaseProcessor.java:1058)
  at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1153)
  at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:628)
  at java.lang.Thread.run(Thread.java:785)

Log file:


[2018-11-09T09:53:02.240+00:00] [Framework] [NOTIFICATION] [] [upgrade.Framework] [tid: 74] [ecid: <ECID>] Finished upgrading OHS.CONFIGUPGRADE with status: FAILURE.
[2018-11-09T09:53:02.240+00:00] [Framework] [NOTIFICATION] [] [upgrade.Framework] [tid: 74] [ecid: <ECID>] Finished non-concurrent plugin: OHS.CONFIGUPGRADE


Changes

 

Cause

To view full details, sign in with your My Oracle Support account.

Don't have a My Oracle Support account? Click to get started!


In this Document
Symptoms
Changes
Cause
Solution
References


My Oracle Support provides customers with access to over a million knowledge articles and a vibrant support community of peers and Oracle experts.